#!/bin/bash

PROJECT=OHMCV

DO_GET=0

CONF=../conf/$PROJECT
INPUT=$CONF/inputs/
TMP=../tmp/$PROJECT

RES=../resources
XSL=$RES/xsl

#rm -rf $TMP
mkdir -p $TMP


# 0. GetRecords from sedoo:
if [ $DO_GET -eq 1 ]
then
    for url in $(cat $INPUT/urls.txt)
    do
        if [ ${url:0:4} = "http" ]; then
            echo $url

            filename=$(basename $url)
            id=${filename##*id=}

            echo $id

            wget -O $TMP/$id.xml $url

            xsltproc -o $INPUT/$id.csv --stringparam DOI_SUFFIX_START "$PROJECT" --stringparam USE_END_DATE "true" $XSL/csw2txt_ohmcv.xsl $TMP/$id.xml

            if [ $? -ne 0 ]; then
                 echo "xsltproc failed"
                 exit 1
            fi
        fi
    done
fi

bash doimgr-process.sh $PROJECT

echo "done."

