/*******************************************************************************
 * OSUG-DOI project ( http://doi.osug.fr ) - Copyright (C) CNRS.
 ******************************************************************************/
package fr.osug.doi.repository;

import fr.osug.doi.domain.Doi;
import fr.osug.doi.domain.DoiPublic;
import fr.osug.doi.domain.DoiStaging;
import java.util.List;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.query.Param;
import org.springframework.stereotype.Repository;
import org.springframework.transaction.annotation.Transactional;

/**
 * Spring Data JPA repository for the DoiStaging entity.
 */
@Repository
@Transactional
public interface DoiPublicRepository extends JpaRepository<DoiPublic, Long> {

    @Transactional(readOnly = true)
    DoiPublic findOneByDoi(Doi doi);

    @Transactional(readOnly = true)
    @Query("select dp from DoiPublic dp join dp.doi d join d.project p where (p.name = :projectName) order by d.identifier asc")
    List<DoiPublic> findByProject(@Param("projectName") String projectName);

}
