
/* PROJECT */
create sequence project_id_seq START 1;

create table project (
    id int8 not null,
    name varchar(32) not null,
    managers varchar(64),
    description varchar(512),
    create_date timestamp,
    update_date timestamp,
    primary key (id)
);
alter table project add constraint uk_project_name unique (name);

/* DOI */
create sequence doi_id_seq START 1;

create table doi (
    id int8 not null,
    project_id int8 not null,
    identifier varchar(255) not null,
    status varchar(16),
    description varchar(512),
    landing_ext_url varchar(1024),
    primary key (id)
);
alter table doi add constraint uk_doi_identifier unique (identifier);
alter table doi add constraint fk_doi_project_id foreign key (project_id) references project;

/* DOI STAGING */
create sequence doi_staging_id_seq START 1;

create table doi_staging (
    id int8 not null,
    doi_id int8 not null,
    valid boolean,
    metadata_md5 varchar(32) not null,
    log varchar(4096),
    landing_loc_url varchar(512) not null,
    create_date timestamp,
    update_date timestamp,
    primary key (id)
);
alter table doi_staging add constraint fk_doi_staging_id foreign key (doi_id) references doi;

/* DOI PUBLIC */
create sequence doi_public_id_seq START 1;

create table doi_public (
    id int8 not null,
    doi_id int8 not null,
    metadata_md5 varchar(32) not null,
    landing_loc_url varchar(512) not null,
    active_ext_url boolean,
    create_date timestamp,
    update_date timestamp,
    primary key (id)
);
alter table doi_public add constraint fk_doi_public_id foreign key (doi_id) references doi;

/* EOF */